<?php
session_start();

if (isset($_POST['add_to_cart'])) {
    $product_id = $_POST['product_id'];
    $product_name = $_POST['product_name'];
    $product_price = $_POST['product_price'];

    // Check if the cart session variable is set and if the item is already in the cart
    if (!isset($_SESSION['cart'][$product_id])) {
        // Add new item to the cart
        $_SESSION['cart'][$product_id] = [
            'id' => $product_id,
            'name' => $product_name,
            'price' => $product_price,
            'quantity' => 1
        ];
    } else {
        // Increment the quantity of the existing item
        $_SESSION['cart'][$product_id]['quantity']++;
    }

    // Redirect to the page displaying the cart
    header("Location: ../newregistration.php");
    exit();
}
?>

