<?php
session_start();
require 'db.php';

$ticket_id = $_GET['ticket_id'] ?? '';

$stmt = $pdo->prepare("SELECT response, user_reply FROM tickets WHERE id = :ticket_id");
$stmt->execute(['ticket_id' => $ticket_id]);
$ticket = $stmt->fetch(PDO::FETCH_ASSOC);

if ($ticket) {
    echo "<div class='mt-3'><strong>Admin Response:</strong><p>" . nl2br(htmlspecialchars($ticket['response'])) . "</p></div>";
    
    if (!empty($ticket['user_reply'])) {
        echo "<div class='mt-3'><strong>You:</strong><p>" . nl2br(htmlspecialchars($ticket['user_reply'])) . "</p></div>";
    }
}
?>
