<?php
ob_start();
session_start();

require_once ('conn.php');
if(ISSET($_SESSION['tvn']))
{
    header('location:main.php');
}
?>

<!DOCTYPE html>
<html >
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
<title>DTCE | National Teachers Identity Card Portal - LOGIN</title>
<link rel="icon" href="../dist/img/icon2.png" type="image/x-icon">
<link rel="shortcut icon" href="../dist/img/icon2.png" type="image/x-icon">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta http-equiv="refresh" content="600">
<!-- Tell the browser to be responsive to screen width -->
<meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="DTCE" content="DTCE | National Teachers Identity Card Portal">
  <meta name="description" content="DTCE | National Teachers Identity Card Portal">

<!-- Font Awesome -->
<link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
<!-- icheck bootstrap -->
<link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css">

<!-- password check -->
<link rel="stylesheet" href="../plugins/password-requirement/css/jquery.passwordRequirements.css">
<link rel="stylesheet" href="../cookies/cookieconsent.css">
<!-- Theme style -->
<link rel="stylesheet" href="../dist/css/adminlte.min.css">
 
<!--sweetalert2-->
<link rel="stylesheet" href="../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  
<link rel="stylesheet" href="../dist/css/custom.css">
<link rel="stylesheet" href="../dist/css/login_style.css">
<link rel="stylesheet" href="../dist/css/animate.min.css">

 
  <!-- TELEPHONE COUNTRY PICKER -->
<link href="../plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
<style>
  .iti__flag {background-image: url("plugins/intl-tel-input-17.0.0/build/img/flags.png");}
  @media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .iti__flag {background-image: url("plugins/intl-tel-input-17.0.0/build/img/flags%402x.png");}
  }
</style>


<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>


  <!-- TELEPHONE COUNTRY PICKER -->
<script src="../plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>


<!--sweetalert2-->
<script src="../plugins/sweetalert2/sweetalert2.min.js"></script>

<!-- password check -->
<script src="../plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
</head>
<body class="hold-transition ">
    
    <div >
        
<style>
    body{  
        background: linear-gradient( to bottom, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.5) 100%),url(dist/img/bg-login.jpg) no-repeat center center fixed; 
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }
    
</style>
         <!-- register-->
         
<div class="d-none d-lg-block mt-5 pt-5"></div> 
<section class="w-100 page-section pb-5 pt-5 bg-login">
    <div class="container">
        
        
        <div class="row justify-content-right">
            <div class="col-lg-8  align-items-center justify-content-center ">
                
                <div class="row h-100 align-items-center justify-content-center text-center">
                    
                    <div class="col-lg-12 align-self-end animate__animated animate__zoomIn">
                        <div class="center-block text-center pb-4">
                            <a href="index.html"><img class="mx-auto col-6" src="../dist/img/dtce.png" ></a>
                        </div>
                        <h1 class="h2 login_title_h  text-white font-weight-bold  text-center">
                         Directorate of Teens and Children Education
                        </h1>
                        <h1 class="h2 login_title_h text-uppercase text-white font-weight-bold  text-center">
                        TEACHERS IDENTIFICATION CARD PORTAL
                        </h1>
                        <hr class="divider my-4">
                    </div>
                    <div class="col-lg-12 align-self-baseline  mx-3 mb-3">
                        <div class="masthead-moto-container mt-2  animate__animated animate__zoomIn">
                            <p class=" text-white font-weight-bold mb-2 login_title_sub text-center">
                            ...towards a paperless creation of Teachers Identity Cards 
                            </p>
                            <p class=" text-white-75 font-weight-light mb-4 login_title_caption">
                            Directorate of Teens and Children Education <br>Create an account now for seamless creation of your Identity Card- anytime, anywhere! 
                            </p>
                        </div>                             
                    </div>
                </div>

            </div>
            <div class="col-lg-4 ">
                
                <div class="panel border bg-light mx-3">
                    <div class="px-4 pt-4 pb-3">
                        
                        <h6 class="h6 font-weight-bold mb-2 access-blue-color text-center"><img src="../dist/img/icon.png" width="30px" > TEACHER'S LOGIN</h6>
                        <!-- Error page  -->
                    </div>
                    <!-- <hr class="m-0"> -->
                    <div class="px-4 pt-2 pb-3">

                    <?php 
                    if(isset($_POST['submit'])){

                   
                    $tvn=$_POST['tvn'];
                    // $password = $_POST['password'];
                    $sql="select * from teachers where tvn='$tvn' ";
                    $row=$conn->query($sql);
                    $result=$row->rowCount();
                    if($result< 1){


                        echo "
                    <div class='alert alert-danger alert-dismissible' role='alert'> TVN NOT FOUND
                    <button type='button' class='close' data-dismiss='alert'>
                    <span aria-hidden='true'>&times;</span>
                    <span class='sr-only'>Close</span>
                    </button>
                    </div>";

                    }
                    else{
                        if($r=$row->fetch(PDO::FETCH_ASSOC)){
                            if($tvn!=$r['tvn']){
                                echo"
                    <div class='alert alert-danger alert-dismissible' role='alert'>INVALID TVN 
                    <button type='button' class='close' data-dismiss='alert'>
                    <span aria-hidden='true'>&times;</span>
                    <span class='sr-only'>Close</span>
                    </button>
                    </div>";
                            }
                            else{

                                $_SESSION['tvn']=$r['tvn'];
                                $_SESSION['name']=$r['surname'];
                                $_SESSION['others']=$r['other_names'];
                                $_SESSION['region']=$r['region'];
                                $_SESSION['post']=$r['position'];
                                $_SESSION['pro']=$r['province'];
                                $_SESSION['gend']=$r['gender'];
                                header("Location:main.php");
                            }

                        }
                    }
                    }
                    ?>
                        <form role="form" action="login.php" method="POST" class="register-form " id="customerLoginForm">
                            
                            
                            <div class="py-2">
                               
                            </div>
                            
                            
                            <div class="form-group field-icon">
                                <span class="field-icon-right">
                                    <i class="fa fa-user" aria-hidden="true"></i>
                                </span>
                                <input type="text" class="form-control form-control-lg" id="username" placeholder="Enter your TVN e.g DTCE3470109" name="tvn" required>
                            </div>
                            <!-- <div class="form-group field-icon mb-1">
                                <span class="field-icon-right">
                                    <i class="fa fa-lock" aria-hidden="true"></i>
                                </span>
                                <input type="password" class="form-control form-control-lg" id="password"  placeholder="Enter Your Password" name="password" required>
                            </div> -->
                            
                            <div class="form-group mt-4 mb-1">
                                <input type="hidden" name="request" value="userLogin">                
                                <button type="submit" class="btn btn-block btn-primary btn submitBtn btn-primary text-center px-5" name="submit"> Login</button>
                            </div>
                        </form> 
                    </div>
                    <div class="pb-3 px-4 ">
                        <div class="pb-1 small text-center">
                            <a href="login/forgotpassword.html" class=" text-muted  font-weight-light text-decoration-none"><i class="fas fa-question-circle"></i> Forgot your TVN?</a>
                        </div>
                    </div>
                    <div class="py-2 px-4 ">
                        <div class="pb-1 small text-center">
                            <span class=" text-dark text-decoration-none text-muted font-weight-light">Yet to register for an ID Card?</span>
                        </div>
                    </div>
                    <div class="pt-1 pb-4 px-4 ">
                        <div class="pb-1 text-center">
                            <a href="index.php" class="btn btn-sm btn-default text-white access-blue-bg px-3">Register Now</a>
                        </div>
                    </div>
                </div>
            
                
                
            </div>
        </div>
    </div>
</section>
<div class=" mb-5"></div>
       


    </div>
    
    <!-- /.content-wrapper -->
    <footer class="fixed-bottom text-sm main-footer w-100 m-0 pb-3 bg-gradient-blue border-top-0">
    <div class="text-xs" id="copyright">
        &copy; <script>
            document.getElementById('copyright').appendChild(document.createTextNode(new Date().getFullYear()))
          </script> Directorate of Teens and Children Education. 
        <div class="float-right d-none d-sm-inline-block">
            <b>DTCE TEACHERS IDENTITY CARD PORTAL v.1.0.0</b>
</div>
</div>
    </footer>
     <!-- Our Cookie Consent Law -->
<script defer src="scripts/cookies/cookieconsent.js"></script>
<script defer src="scripts/cookies/cookieconsent-init.js"></script>

    <script src="../dist/js/adminlte.min.js"></script>

    <!-- jquery-validation -->
    <script src="../plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="../plugins/jquery-validation/additional-methods.min.js"></script>

</body>


</html>
