<link rel="stylesheet" href="../cookies/cookieconsent.css">
<style>
/* end of help tools */ 
/* Styles for the news strip container */
.news-strip {
    background: hwb(0 95% 3%);
    /* background: #EEEEEE; */
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 0;
    z-index: 101;
}

/* Styles for the "Latest News" tag */
.tag {
    background: #ff5722;
    padding: 5px 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    margin-right: 10px;
}

/* Styling for the "Latest News" tag on mobile (adjust as needed) */
@media (max-width: 767px) {
    .tag {
        background: #ff5722;
        padding: 5px 8px; /* Adjust padding for mobile */
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
        margin-right: 5px; /* Adjust margin for mobile */
    }
}

/* Styles for the bend line */
.bend-line {
    width: 55px;
    min-height: 38px;
    height: 100%;
    clip-path: polygon(81% 0, 100% 0%, 49% 100%, 31% 100%);
    background-color: #049cdc;
    /* margin-right: -.96rem; */
    z-index: 3;
}
.strip_2 {
    /* animation: scroll 15s linear infinite;
    -moz-animation: translateX(100%);
    -webkit-animation: translateX(100%);
    animation: translateX(100%); */
    font-size: 13px;
    color: #555555;
    display: inline !important;
    margin-right: 30px;
}



.strip {
    animation: scroll 15s linear infinite;
    -moz-animation: translateX(100%);
    -webkit-animation: translateX(100%);
    animation: translateX(100%);
    font-size: 13px;
    color: #555555;
    display: block;
    float: left;
    margin-right: 30px;
    white-space: nowrap;
}

.strip1,
.strip2,
.strip3 {
    transform: translateX(100%);
    font-size: 13px;
    color: #555555;
    display: inline-block;
    width: 100%;
    margin-right: -10px;
    white-space: nowrap;
    animation: marquee 10s linear infinite;
}

.strip2 {
    animation-delay: 5s;
    color: teal;
}

.strip3 {
    animation-delay: 6s;
    color: red;
}


/* Styles for the marquee and news items */
.strip-wrapper {
    width: 100%;
}

.strip_2 {
    color: black;
    text-decoration: none;
    margin-right: 20px;
    display: inline-block;
    white-space: nowrap;
}

/* Styles for the multi-colored line at the bottom */
/* .multi-colored-line {
    height: 2px;
    background: linear-gradient(to right, #ff5722, #f00, #ff5722, #00f, #ff5722, #0f0, #ff5722);
} */
.multi-colored-line {
    height: 5px; /* Adjust the height as needed */
    margin-top: -5px;
    width: 100%; /* Make the line span the full width */
    z-index: 3;
    background: linear-gradient( to right, #2c7cf0 40%, #42a64f 40%, #42a64f 65%, #eb3636 65%, #eb3636 85%, #a5658e 85%, #a5658e 100% );
}

.new-multi-coloured-line {
    background: linear-gradient( to right, #2c7cf0 35%, #42a64f 35%, #42a64f 65%, #eb3636 65%, #eb3636 85%, #a5658e 85%, #a5658e 95%, #049cdc 95%, #049cdc 100% ) !important;
}
.news-strip .tag {
    background-color: hwb(0 95% 3%);
    height: 38px;
    z-index: 1;
    align-items: center;
    display: flex;
    width: 25%;
    min-width: fit-content;
    /* padding: 0 5em; */
    padding: 0 0.5rem;
    font-weight: bold;
    font-size: 12px;
    color: #555555;
    text-transform: uppercase;
    white-space: nowrap;
    justify-content: flex-end;
}

    .news-strip .tag::after {
        content: "";
        width: 44px;
        left: 19%;
        height: 100%;
        position: absolute;
        background-color: hwb(0 95% 3%);
        clip-path: polygon(0 0, 100% 0, 57% 100%, 0% 100%);
    }



/* end of newstrips  **/



   /* Custom CSS for the news ticker */
.news-ticker {
    overflow: hidden;
    white-space: nowrap;
    animation: marquee 15s linear infinite;
}

/* Apply styles to the news links */
.news-ticker .nav-item a.nav-link {
    font-weight: bold; /* Make the text bolder */
    color: black; /* Set the text color to blue */
    transition: color 0.3s; /* Add a smooth transition for the hover effect */
    font-size:18px;
}

/* Change the link color on hover */
.news-ticker .nav-item a.nav-link:hover {
    color: #007bff; /* Change the hover color to blue (#007bff) */
}

@keyframes marquee {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(-100%);
    }
}

/* Base news strip styles */
.news-strip {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 0;
    z-index: 101;
}

/* Default (Light Mode) colors */
.news-strip {
    background: #eeeeee; /* Light background */
}

.tag {
    background: #ff5722; /* Light mode tag color */
    color: #555555;
}

.bend-line {
    background-color: #049cdc; /* Light mode bend line */
}

.strip_2 {
    color: #555555; /* Default text color for strip_2 in light mode */
}

/* Multi-colored line (Light mode) */
.multi-colored-line {
    background: linear-gradient(to right, #2c7cf0 40%, #42a64f 40%, #42a64f 65%, #eb3636 65%, #eb3636 85%, #a5658e 85%, #a5658e 100%);
}

/* Dark Mode overrides */
body.dark-mode .news-strip {
    background: #2c2c2c; /* Dark background for the strip */
}

body.dark-mode .tag {
    background: #ff5722; /* Keep the same tag color for dark mode */
    color: #f1f1f1; /* Light text on dark background */
}

body.dark-mode .bend-line {
    background-color: #2c7cf0; /* Adjust bend line color for dark mode */
}

body.dark-mode .strip_2 {
    color: #f1f1f1; /* Light text color for strip_2 in dark mode */
}

body.dark-mode .multi-colored-line {
    background: linear-gradient(to right, #2c7cf0 40%, #42a64f 40%, #42a64f 65%, #eb3636 65%, #eb3636 85%, #a5658e 85%, #a5658e 100%);
}

/* Adjustments for light text color in the strip */
body.dark-mode .news-ticker .nav-item a.nav-link {
    color: #f1f1f1; /* Light color for news links in dark mode */
}

body.dark-mode .news-ticker .nav-item a.nav-link:hover {
    color: #007bff; /* Hover effect in dark mode */
}
/* Styles for the modal to ensure it's larger and above the news strip */
#newsModal {
    z-index: 1050 !important; /* Ensures the modal is above other elements */
}

.modal-dialog {
    max-width: 90%; /* Set the modal to take up more width */
    margin: 30px auto; /* Center the modal */
}

/* Adjust the modal size */
.modal-lg {
    max-width: 80%; /* Makes it even larger if the content is big */
}

/* Adjusts modal's content to fit large texts */
.modal-body {
    max-height: 500px; /* Adjust to allow scrolling if the content is large */
    overflow-y: auto;
}

/* Ensure that the news strip is not hidden behind the modal */
.news-strip-container {
    position: relative;
    z-index: 100;
}


</style>

<?php
include("conn.php");

try {
    // Query to fetch news items
    $sql = "SELECT id, title, url FROM news ORDER BY created_at DESC LIMIT 5"; // Add 'id' to fetch the unique identifier
    $stmt = $conn->query($sql);
    $newsItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}
?>

<?php if (!empty($newsItems)): ?>
    <div class="news-strip-container">
        <div class="news-strip">
            <div class="d-flex align-items-center overflow-hidden">
                <div class="tag">
                    <p>Our News</p>
                </div>
                <span class="bend-line"></span>
                <marquee onmouseover="this.stop();" onmouseout="this.start();" class="strip-wrapper">
                    <?php foreach ($newsItems as $newsItem): ?>
                        <!-- Link for opening modal, added data-toggle and data-target -->
                        <a href="#" data-toggle="modal" data-target="#newsModal" class="strip_2" data-id="<?php echo $newsItem['id']; ?>" data-title="<?php echo $newsItem['title']; ?>" data-url="<?php echo $newsItem['url']; ?>">
                            <img src="../dist/img/icon2.png" width="18px"> <?php echo $newsItem['title']; ?>
                        </a>
                    <?php endforeach; ?>
                </marquee>
                <img src="../dist/img/icon2.png" width="18px" style="float:right;">
            </div>
            <div class="multi-colored-line new-multi-coloured-line"></div>
        </div>
    </div>
<?php endif; ?>
<br>

<!-- Bootstrap Modal -->
<!-- Bootstrap Modal -->
<div class="modal fade" id="newsModal" tabindex="-1" role="dialog" aria-labelledby="newsModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document"> <!-- Large modal size -->
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <!-- This will dynamically update the title -->
                <h5 class="modal-title" id="newsModalLabel">News Content</h5> <!-- Default title -->
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <!-- Modal Body -->
            <div class="modal-body">
                <!-- Card Structure for the Content -->
                <div class="card">
                    <div class="card-body">
                        <!-- Placeholder for News Content -->
                        <div id="modalContent"></div>
                    </div>
                </div>
            </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- Include jQuery, Popper.js, and Bootstrap JS for Modal functionality -->
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>  <!-- Use full jQuery version -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    // When a user clicks on a news title, fetch the content
    $('a[data-toggle="modal"]').click(function() {
        var newsId = $(this).data('id');
        var title = $(this).data('title');
        
        // Set the title in the modal header dynamically
        $('#newsModalLabel').text(title);  // Replace 'News Content' with the actual title

        // Fetch the news content using AJAX
        $.ajax({
            url: 'fetch_news_content.php', // PHP file to fetch the content
            type: 'GET',
            data: { id: newsId },
            success: function(response) {
                // Populate the modal with the content fetched
                $('#modalContent').html(response);
            },
            error: function() {
                $('#modalContent').html('Error fetching content.');
            }
        });
    });
});
</script>
