<?php
session_start();

include 'conn.php';

// Check if the session 'pro' is set, if not redirect to login page
if (!isset($_SESSION['reg']) || !isset($_SESSION['pro']) || !isset($_SESSION['zone'])) {
    // Redirect to the login page if not logged in
    header("Location: index.php"); // Change to your login page URL
    exit();
}


?>






<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | Teachers Registration Form</title>

    <!-- Dependencies -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="../plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css">
    <link rel="stylesheet" href="../cookies/cookieconsent.css">
    <link rel="stylesheet" href="../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="../dist/css/custom.css">
    <link rel="stylesheet" href="../dist/css/login_style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <link rel="stylesheet" href="../dist/css/animate.min.css">
    <link href="../plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="../dist/img/icon2.png" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
    <!-- AdminLTE -->
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>
    <!-- Bootstrap 5 -->
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"> -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap5.min.css">

    <!-- Font Awesome for Icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">

<style>
 /* Main theme Default light mode (bootstrap defaults) */
 body {
            background-color: #ffffff;
            color: #000000;
            transition: background-color 0.3s, color 0.3s;
        }

        
        a {
            color:rgb(12, 12, 12);
        }

        a:hover {
            color: #0056b3;
        }

        /* Dark Mode - Links */
.dark-mode .strip_2 a {
    color: rgb(241, 239, 239) !important; /* Light color for better contrast */
    text-decoration: none; /* Optional: Removes underline for a cleaner look */
}

/* Dark Mode - Links on Hover */
.dark-mode .strip_2 a:hover {
    color: #4a90e2 !important; /* A softer blue for better readability */
    text-decoration: underline; /* Optional: Adds underline on hover */
}


        .light-mode .province-initials {
            background-color: #007bff !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .light-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: white !important;
            color: black !important;
            border-color: #444 !important;
        }

        /* Dark Mode */
        .dark-mode {
            background-color: #121212 !important;
            color: #ffffff !important;
        }

        /* Dark mode for links */
        .dark-mode a {
            color: rgb(247, 249, 252) !important;
        }

        .dark-mode a:hover {
            color: rgb(243, 248, 253) !important;
        }

        /* Dark mode for navigation bar */
        .dark-mode .navbar {
            background-color: #1e1e1e !important;
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .navbar a {
            color: white !important;
        }

        .dark-mode .navbar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .btn:hover {
            background-color: white !important;
        }

        /* Specific button colors in dark mode */
        .dark-mode .btn-primary {
            background-color: rgb(0, 3, 7) !important;
            color: white !important;
        }

        .dark-mode .btn-success {
            background-color: rgb(1, 12, 3) !important;
            color: white !important;
        }

        .dark-mode .btn-danger {
            background-color: rgb(8, 0, 1) !important;
            color: white !important;
        }

        .dark-mode .btn-warning {
            background-color: rgb(2, 1, 0) !important;
            color: white !important;
        }

        .dark-mode .btn-info {
            background-color: rgb(0, 7, 8) !important;
            color: white !important;
        }

        /* Dark mode for tables */
        .dark-mode table {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode thead {
            background-color: #333 !important;
        }

        .dark-mode tbody tr {
            background-color: #2c2c2c !important;
        }

        .dark-mode tbody tr:hover {
            background-color: #3a3a3a !important;
        }

        /* Dark mode for form fields */
        .dark-mode input,
        .dark-mode select,
        .dark-mode textarea {
            background-color: #222 !important;
            color: white !important;
            border: 1px solid white !important;
        }

        .dark-mode input::placeholder,
        .dark-mode textarea::placeholder {
            color: #bbb !important;
        }

        /* Dark mode for modals */
        .dark-mode .modal-content {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode .modal-header {
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .modal-footer {
            border-top: 1px solid #333 !important;
        }

        /* Dark mode for sidebar (if applicable) */
        .dark-mode .sidebar {
            background-color: #1e1e1e !important;
        }

        .dark-mode .sidebar a {
            color: white !important;
        }

        .dark-mode .sidebar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for alerts */
        .dark-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #333 !important;
            color: white !important;
            border-color: #444 !important;
        }


        /* Default (Light Mode) */
        .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #ffffff !important;
            /* Light background */
            color: #000000 !important;
            /* Dark text */
            border-color: #ddd !important;
            /* Light border */
        }

        /* Hover effect in light mode */
        .dropdown-item:hover {
            background-color: #f8f9fa !important;
            color: #000000 !important;
        }

        /* Dark Mode */
        .dark-mode .alert,
        .dark-mode .dropdown-menu,
        .dark-mode .dropdown-menu-lg,
        .dark-mode .dropdown-menu-right,
        .dark-mode .dropdown-item {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
            border-color: #444 !important;
            /* Dark border */
        }

        /* Hover effect in dark mode */
        .dark-mode .dropdown-item:hover {
            background-color: #333 !important;
            color: #ffffff !important;
        }

        /* Light Mode */
        .toast-body,
        .toast-header {
            background-color: #ffffff !important;
            /* White background */
            color: #000000 !important;
            /* Black text */
            border-color: #ddd !important;
            /* Light grey border */
        }
/* Light Mode - Paragraph Specific */


/* Light Mode - Paragraph on Blue Background */
.sidebar-dark-primary p,
.main-sidebar p {
    color: white !important; /* White text on blue backgrounds */
} 

.sidebar-dark-primary .fa,
.main-sidebar .fa {
    color: white !important; /* White text on blue backgrounds */
} 
        /* Light Mode (Default) */
        
        p,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6,
        .card-title,
        .text-dark,
        .text-secondary,
        .text-muted,
        .text-primary {
            color:rgb(12, 0, 0) !important;
            /* Default dark text */
        }


        .fa {
            color:white;
        }
        /* Dark Mode Styles */
        .dark-mode {
            background-color: #121212 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
        }

        /* Dark Mode Text Colors */
        .dark-mode .fa,
        .dark-mode p,
        .dark-mode h1,
        .dark-mode h2,
        .dark-mode h3,
        .dark-mode h4,
        .dark-mode h5,
        .dark-mode h6,
        .dark-mode .card-title,
        .dark-mode .text-dark,
        .dark-mode .text-secondary,
        .dark-mode .text-muted,
        .dark-mode .text-primary {
            color: #ffffff !important;
            /* White text in dark mode */
        }
        
        .dark-mode .strip-wrapper{
            background-color:none;
            color:black;
        }
        
    
      .strip_2,.strip-wrapper{
            background-color:none;
            color: black;
        }
        

        .card-title,
         .text-dark,
         .text-secondary,
         .text-muted,
         .text-primary {
            color:rgb(7, 6, 6) !important;
            /* White text in dark mode */
        }


        /* Adjust Specific Text Colors in Dark Mode */
        .dark-mode .text-muted {
            color: #b0b0b0 !important;
            /* Slightly gray for muted text */
        }

        .dark-mode .text-primary {
            color:rgb(237, 241, 245) !important;
            /* Lighter blue for better contrast */
        }

        .dark-mode .text-secondary {
            color: #adb5bd !important;
            /* Light grayish text */
        }

        /* Dark Mode Background for Cards & Containers */
        .dark-mode .card,
        .dark-mode .modal-content,
        .dark-mode .dropdown-menu,
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            color: white !important;
            border-color: #444 !important;
        }

        /* Dark Mode FA Icons */
        .dark-mode .fa {
            color: #ffffff !important;
            /* White icons in dark mode */
        }

        /* Dark Mode Specific Icons */
        .dark-mode .fa-calendar {
            color:rgb(236, 235, 229) !important;
            /* Yellow */
        }
        .fa-calendar {
            color:#007bff !important;
            /* Yellow */
        }

        .dark-mode .fa-user {
            color:rgb(242, 247, 248) !important;
            /* Bootstrap info blue */
        }

        .dark-mode .fa-cog, .fa-clock  {
            color: #f8f9fa !important;
            /* Light gray */
        }
         .fa-cog, .fa-clock, .fa-user  {
            color:rgb(1, 5, 10) !important;
            /* Light gray */
        }

        /* Dark Mode Buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: #ffffff !important;
            border: 1px solid #555 !important;
        }

        .dark-mode .btn-primary {
            background-color:rgb(11, 12, 12) !important;
            border-color:rgb(8, 8, 8) !important;
        }

        .dark-mode .btn-secondary {
            background-color: #6c757d !important;
            border-color: #6c757d !important;
        }

        /* Hover Effects */
        .dark-mode .btn:hover {
            background-color: #444 !important;
        }

        .dark-mode .btn-primary:hover {
            background-color:rgb(17, 17, 19) !important;
        }

        .dark-mode .btn-secondary:hover {
            background-color: #5a6268 !important;
        }



        /* Toast header specific styling */
        .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #ddd !important;
        }

        /* Dark Mode */
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* White text */
            border-color: #444 !important;
            /* Dark grey border */
        }
        
         /* Light Mode - Toast Styling */
.toast-body,
.toast-header {
    background-color: white !important; /* White background */
    color: rgb(15, 15, 15) !important; /* Dark text */
    border-color: #ddd !important; /* Light grey border */
}

/* Light Mode - Toast Header */
.toast-header {
    font-weight: bold;
    border-bottom: 1px solid #ccc !important; /* Light grey separator */
}

        /* Toast header specific styling */
        .dark-mode .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #444 !important;
        }
        


        /* Dark mode for card components */
        .dark-mode .card {
            background-color: #222 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .card-header {
            background-color: #1e1e1e !important;
        }

        /* Toggle Button Fix */
        .dark-mode #theme-toggle {
            /* background-color: #222 !important; */
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .badge-danger,
        .province-initials {
            background-color: white !important;
            color: black !important;
            /* border: 1px solid white !important; */
        }
</style>



</head>

<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand-lg navbar-light">
        <div class="container-fluid">
            <!-- Navbar Toggler for Mobile -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Left Navbar Links -->
            <a href="#" class="navbar-brand">
                <img src="../dist/img/dtce.png" alt="Logo" style="height: 40px;">
            </a>

            <?php
            include 'conn.php';
            $province_name = $_SESSION['pro']; // Get the province name from the session

            // Fetch the count of unread notifications for this province
            $stmt = $conn->prepare("SELECT COUNT(*) as count FROM notifications WHERE province = :province AND is_read = 0");
            $stmt->bindValue(':province', $province_name);
            $stmt->execute();
            $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
            ?>

            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                            <i class="fas fa-bars"></i>
                        </a>
                    </li>
                </ul>

                <!-- Centered Search Form -->
                <form class="form-inline mx-auto">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                        <i class="fas fa-search"></i>
                    </button>
                </form>

                <!-- Right Navbar Links -->
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <img src="../dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fas fa-bell">
                                <span class="badge badge-danger"><?php echo $count; ?></span>
                            </i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                            id="notificationList">
                            <!-- Notifications will be loaded here -->
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="#" id="theme-toggle">
                            <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                            <?php
                            // Extract initials from the province name
                            $province = $_SESSION["pro"];
                            $province_parts = explode(" ", $province);
                            $initials = strtoupper(substr($province_parts[0], 0, 1)) . strtoupper(substr($province_parts[1], 0, 1));
                            $number = isset($province_parts[2]) ? $province_parts[2] : '';

                            // Display the initials and the number
                            echo '<div class="province-initials"
                                style="background-color: #007bff; color: white; width: 45px; height: 45px; border-radius: 50%; display: flex; justify-content: center; align-items: center; margin-right: 10px; font-weight: bold; font-size: 16px;">';
                            echo $initials . ' ' . $number;
                            echo '</div>';
                            ?>

                            <div style="display: flex; flex-direction: column;">
                                <span class="d-none d-md-inline"><?php echo $_SESSION["pro"] ?></span>
                                <small><?php echo $_SESSION["zone"] ?></small>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                            <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                            <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                            <div class="dropdown-divider"></div>
                            <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>

        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="../dist/img/icon.png" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">RCCG DTCE</a>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <?php
                // Include your database connection file
                include 'conn.php';

                // Fetch menu items, ordered by the 'order' field
                $stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
                $menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
                ?>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <?php foreach ($menuItems as $item): ?>
                            <li class="nav-item">
                                <a href="<?php echo htmlspecialchars($item['link']); ?>" class="nav-link">
                                    <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                                    <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                                </a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </nav>


                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper -->
        <div class="content-wrapper">
            <!-- Breadcrumb -->
            <div class="breadcrumb-wrapper">
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="../../index.php">HOME</a></li>
                    <li class="breadcrumb-item active">Teacher's Registration Form</li>
                </ul>
            </div>

            <?php include("news.php"); ?>
            <!-- Main content -->

            <section class="content">

                <!-- <?php
                        include 'conn.php';

                        // Fetch the cover picture
                        $stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
                        $coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

                        $imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
                        ?>

<div class="row">
    <div class="col-sm-12">
        <div class="profile-bg-picture" style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
            <div class="picture-bg-overlay"></div>
        </div>
    </div>
</div> -->

                <!-- Place all content here -->
                <?php
                // Include database connection
                include 'conn.php';

                // Fetch data using PDO
                $alert = isset($_SESSION['token']) ? $_SESSION['token'] : ''; // Assuming 'alert' comes from a query parameter or other input
                $stmt = $conn->prepare("SELECT * FROM registration WHERE password = :password");
                $stmt->execute(['password' => $alert]);
                $row_d = $stmt->fetch();

                if ($row_d) {
                    $email = $row_d['email'];
                    $p1 = $row_d['p1'];
                    $p2 = $row_d['p2'];
                    $p3 = $row_d['p3'];
                    $p1c = $row_d['p1c'];
                    $p2c = $row_d['p2c'];
                    $p3c = $row_d['p3c'];
                    $zone = $row_d['zone'];
                    $region = $row_d['region'];
                    $province = $row_d['province'];
                    $password = $row_d['password'];
                } else {
                    echo '<p>No registration found for the provided password.</p>';
                    exit;
                }
                ?>

                <div class="container mt-4">
                    <div class="card">
                        <div class="card-header text-center">
                            <h1 class="card-title">
                                <img src="../dist/img/icon.png" alt="DTCE LOGO" width="100" />
                                <?php echo date('Y'); ?> Convention Registration Form - TEACHER'S REGISTRATION FORM
                            </h1>
                        </div>
                        <div class="card-body">
                            <!-- Warning Message -->
                            <?php
                            // Assume these variables are defined and populated earlier in your code
                            // $p1, $p2, $p3, $p1c, $p2c, $p3c

                            // Check if all values match
                            if ($p1 === $p1c && $p2 === $p2c && $p3 === $p3c) {
                                // Registration complete; do nothing or perform next steps
                            } else {
                                // Show the alert message
                                echo '<div class="alert alert-warning text-dark" role="alert" style="background-color: #f1c40f; border:none;">
            <strong>Important:</strong> You can only generate your Pending Slip after completing the entire registration process.
          </div>';
                            }
                            ?>


                            <!-- Container with faded background -->
                            <div class="container mt-4">
                                <div class="row">

                                    <div class="col-lg-6">
                                        <div class="d-flex align-items-center mb-3">
                                            <i class="fa fa-area-chart p-3 fs-4 text-primary"></i>
                                            <div class="p-2 bg-light border rounded">
                                                <strong class="text-red fs-5"><?php echo htmlspecialchars($zone); ?></strong>
                                            </div>
                                        </div>

                                        <div class="d-flex align-items-center mb-3">
                                            <i class="fa fa-qrcode p-3 fs-4 text-primary"></i>
                                            <div class="p-2 bg-light border rounded">
                                                <strong class="text-red fs-5"><?php echo htmlspecialchars($password); ?></strong>
                                            </div>
                                        </div>

                                        <div class="d-flex align-items-center mb-3">
                                            <i class="fa fa-home p-3 fs-4 text-success"></i>
                                            <div class="p-2 bg-light border rounded">
                                                <strong class="fs-5">REGION: <?php echo htmlspecialchars($region); ?></strong>
                                            </div>
                                        </div>

                                        <div class="d-flex align-items-center mb-3">
                                            <i class="fa fa-map-marker p-3 fs-4 text-warning"></i>
                                            <div class="p-2 bg-light border rounded">
                                                <strong class="fs-5">PROVINCE: <?php echo htmlspecialchars($province); ?></strong>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- Buttons -->
                            <div class="text-center">
                                <?php if (!empty($p1)) : ?>
                                    <a href="./children.php" class="btn btn-primary btn-lg mb-2" style="width: 200px; border-radius: 20px;">
                                        <?php echo htmlspecialchars("$p1c of $p1"); ?> Children
                                    </a>
                                <?php endif; ?>

                                <?php if (!empty($p2)) : ?>
                                    <a href="./teens.php" class="btn btn-primary btn-lg mb-2" style="width: 200px; border-radius: 20px;">
                                        <?php echo htmlspecialchars("$p2c of $p2"); ?> Teens
                                    </a>
                                <?php endif; ?>

                                <?php if (!empty($p3)) : ?>
                                    <a href="./teachers.php" class="btn btn-primary btn-lg mb-2" style="width: 200px; border-radius: 20px;">
                                        <?php echo htmlspecialchars("$p3c of $p3"); ?> Teachers
                                    </a>
                                <?php endif; ?>
                            </div>

                            <br>
                         





                            <!-- Conditional Form Submission -->
                            <?php if ($p3c < $p3) : ?>

                                <h4 class="text-center mt-4">TEACHER'S DETAILS</h4>
                                <!-- Add CSV Download Button -->
                                <!-- <form method="post" action="download_teachers_template.php">
        <button type="submit" class="btn btn-primary mb-3">Download CSV Template</button>
    </form> -->

                                <form method="post" action="cpro_teachers.php" enctype="multipart/form-data">
                                    <div class="mb-3">
                                        <label for="firstname" class="form-label">
                                            <i class="fa fa-user"></i> Firstname
                                        </label>
                                        <input type="text" class="form-control" id="firstname" name="firstname" placeholder="Firstname" required>
                                    </div>
                                    <div class="mb-3">
                                        <label for="lastname" class="form-label">
                                            <i class="fa fa-user"></i> Lastname
                                        </label>
                                        <input type="text" class="form-control" id="lastname" name="lastname" placeholder="Lastname" required>
                                    </div>
                                    <div class="mb-3">
                                        <label for="phone" class="form-label">
                                            <i class="fa fa-phone"></i> Teacher's Phone Number
                                        </label>
                                        <div class="input-group">
                                            <span class="input-group-text">+234</span>
                                            <input type="text" class="form-control" id="phone" name="phone" placeholder="Enter Phone Number" required oninput="formatPhone(this)">
                                        </div>
                                    </div>

                                    <script>
                                        function formatPhone(input) {
                                            // Remove any non-numeric characters
                                            input.value = input.value.replace(/[^0-9]/g, '');

                                            // If the first digit is 0, remove it
                                            if (input.value.startsWith('0')) {
                                                input.value = input.value.substring(1);
                                            }
                                        }
                                    </script>

                                    <div class="mb-3">
                                        <label for="department" class="form-label">
                                            <i class="fa fa-list"></i> Department to Work During Convention
                                        </label>
                                        <select class="form-control" id="department" name="department" required>
                                              <option value="">Select the Department to Work During Convention</option>
<option value="National Coordinator NEC">National Coordinator NEC</option>
<option value="Assistant Coordinator 1">Assistant Coordinator 1</option>
<option value="Assistant Coordinator 2">Assistant Coordinator 2</option>
<option value="National Gen Sec">National Gen Sec</option>
<option value="Information Technology">Information Technology</option>
<option value="Protocol">Protocol</option>
<option value="Prayer">Prayer</option>
<option value="Project">Project</option>
<option value="Counselling">Counselling</option>
<option value="Ushering">Ushering</option>
<option value="Evangelism & FollowUp">Evangelism & FollowUp</option>
<option value="School Outreach Evangelism">School Outreach Evangelism</option>
<option value="Security">Security</option>
<option value="Public Relation (PRO)">Public Relation (PRO)</option>
<option value="Human & Capacity Dev">Human & Capacity Dev</option>
<option value="Transport">Transport</option>
<option value="Technical (Elect/Elect)">Technical (Elect/Elect)</option>
<option value="Technical (Operations)">Technical (Operations)</option>
<option value="Education & Resource Dev">Education & Resource Dev</option>
<option value="Electrical">Electrical</option>
<option value="General Feeding / Kitchen">General Feeding / Kitchen</option>
<option value="Medical">Medical</option>
<option value="Sports">Sports</option>
<option value="Sanitation">Sanitation</option>
<option value="Information / Press">Information / Press</option>
<option value="Finance">Finance</option>
<option value="Choir/Music">Choir/Music</option>
<option value="Decoration">Decoration</option>
<option value="Research & Development">Research & Development</option>
<option value="Accommodation">Accommodation</option>
<option value="Publicity">Publicity</option>
<option value="Stores & Asset Mgt">Stores & Asset Mgt</option>
<option value="General Welfare">General Welfare</option>
<option value="Special Children">Special Children</option>
<option value="Programme - Toddler">Programme - Toddler</option>
<option value="Programme - Lower Children">Programme - Lower Children</option>
<option value="Programme - Pre-Teens">Programme - Pre-Teens</option>
<option value="Programme - Teenagers">Programme - Teenagers</option>
<option value="Programme - Special Children">Programme - Special Children</option>
<option value="Registration">Registration</option>
<option value="Drama">Drama</option>
<option value="Safety & Environmental">Safety & Environmental</option>
<option value="Skill Acquisition">Skill Acquisition</option>
<option value="Secretariat">Secretariat</option>
<option value="Games, Act & Crafts">Games, Act & Crafts</option>
<option value="Media">Media</option>



                                        </select>
                                    </div>
                                    <div class="mb-3">
                                        <label for="gender" class="form-label">
                                            <i class="fa fa-venus"></i> Teacher's Gender
                                        </label>
                                        <select class="form-control" id="gender" name="gender" required>
                                            <option value="">Select Gender</option>
                                            <option value="Male">Male</option>
                                            <option value="Female">Female</option>
                                        </select>
                                    </div>
                                    <button type="submit" class="btn btn-primary" onclick="return confirm('Kindly confirm, Are the information correct?');">
                                        Submit
                                    </button>


                                </form>
                                <!-- <form method="post" action="upload_teachers_csv.php" enctype="multipart/form-data">
    <div class="mb-3">
        <label for="csv_file" class="form-label"><i class="fa fa-upload"></i> Upload Teachers CSV Registration File</label>
        <input type="file" class="form-control" id="csv_file" name="csv_file" accept=".csv" required>
    </div>
    <button type="submit" class="btn btn-success">Upload CSV</button>
</form> -->
                            <?php else : ?>
                                <div class="text-center mt-4 bg-light border rounded p-4 shadow-sm">
                                    <h5 class="text-success"><i class="fa fa-check-circle"></i> Teachers Registration Completed</h5>
                                    <p class="mb-2"><i class="fa fa-check-circle"></i> Number of Teachers booked are registered...</p>
                                    <p class="mb-0"><i class="fa fa-book"></i> Well done! Make sure you complete all forms before you print or download your slip.</p>
                                </div>
                                <br>
                                <center>
                                    <a href="pendingslip_generator.php" target="_blank" class="btn btn-primary" style="width: 200px;">PRINT SLIP</a>
                                </center>
                            <?php endif; ?>

                            <?php if ($p3c >= $p3) : ?>
                                <div class="mt-4">
                                    <h4 class="text-center text-primary">Teachers Registration List</h4>
                                    <div class="table-responsive">
                                        <table id="teachersTable" class="table table-hover table-bordered">
                                            <thead class="table-dark">
                                                <tr>
                                                    <th>Firstname</th>
                                                    <th>Lastname</th>
                                                    <th>Zone Category</th>
                                                    <th>Phone Number</th>
                                                    <th>Department</th>
                                                    <th>Gender</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $stmt = $conn->prepare("SELECT * FROM teachers WHERE password = :password");
                                                $stmt->execute(['password' => $alert]);
                                                while ($row_table = $stmt->fetch(PDO::FETCH_ASSOC)) {
                                                    $t_firstname = htmlspecialchars($row_table['firstname'], ENT_QUOTES, 'UTF-8');
                                                    $t_lastname = htmlspecialchars($row_table['lastname'], ENT_QUOTES, 'UTF-8');
                                                    $t_zone = htmlspecialchars($row_table['zone'], ENT_QUOTES, 'UTF-8');
                                                    $t_phone = htmlspecialchars($row_table['phone'], ENT_QUOTES, 'UTF-8');
                                                    $t_department = htmlspecialchars($row_table['department'], ENT_QUOTES, 'UTF-8');
                                                    $t_gender = htmlspecialchars($row_table['gender'], ENT_QUOTES, 'UTF-8');
                                                    $t_id = $row_table['id'];
                                                    $t_year = $row_table['year'];
                                                ?>
                                                    <tr>
                                                        <td><?= $t_firstname ?></td>
                                                        <td><?= $t_lastname ?></td>
                                                        <td><?= $t_zone ?></td>
                                                        <td><?= $t_phone ?></td>
                                                        <td><?= $t_department ?></td>
                                                        <td><?= $t_gender ?></td>
                                                        <td class="text-center">
                                                            <?php if ($t_year == date('Y')) : ?>
                                                                <a href="delete.php?id=<?= urlencode($t_id); ?>" class="btn btn-danger btn-sm" onClick="return confirm('Are you sure you want to delete this teacher's record?');">
                                                                    <i class="fa fa-trash"></i> Delete
                                                                </a>
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            <?php endif; ?>


                        </div>
                    </div>
                </div>
        </div>
        <?php
        include 'conn.php'; // Make sure this file contains your database connection

        // Fetch the modal content from the database
        $stmt = $conn->query("SELECT message FROM modal_content ORDER BY id DESC LIMIT 1");
        $modalContent = $stmt->fetch(PDO::FETCH_ASSOC);
        $message = $modalContent['message'];
        ?>

        <!-- Modal HTML -->
        <div id="announcementModal" class="modal">
            <div class="modal-content">
            <span class="close-btn" onclick="closeModal()">&times;</span>
                <h2>🎉 Welcome to the New Convention Portal! 🎉</h2>
                <p>
                    <?php echo $message; ?>
                </p>
            </div>
        </div>
        <!-- Toast Container -->
        <div class="toast-container" style="position: absolute; top: 20px; right: 20px;">
            <!-- Toast HTML -->
            <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="3000">
                <div class="toast-header">
                    <strong class="mr-auto">Welcome Message</strong>
                    <small class="text-muted">just now</small>
                    <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="toast-body" id="toastBody">
                    <p>Welcome back, <?php echo htmlspecialchars($_SESSION['pro'], ENT_QUOTES, 'UTF-8'); ?>! We are glad to have you here.</p>
                </div>
            </div>
        </div>


        <!-- /.content-wrapper -->

        <!-- Footer -->
        <?php
        include 'conn.php'; // Ensure this file contains your database connection

        // Fetch footer content from the footer table
        $stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
        $footer = $stmt->fetch(PDO::FETCH_ASSOC);
        $copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
        $eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
        ?>
        <footer class="main-footer text-sm">
            <div class="text-xs" id="copyright">
                <?php echo $copyrightMessage; ?>
                <div class="float-right d-none d-sm-inline-block">
                    <b><?php echo $eventInfo; ?></b>
                </div>
            </div>
        </footer>

        <!-- ./wrapper -->

        <script>
    // Function to show the toast
    function showToast() {
        const toast = document.getElementById('myToast');
        $(toast).toast('show'); // Manually trigger the toast
    }

    // Function to hide the toast and store it in localStorage
    function hideToast() {
        localStorage.setItem('toastShown', 'true'); // Store in localStorage
    }

    // Auto-trigger the toast on page load if it has not been shown before
    window.onload = function() {
        if (!localStorage.getItem('toastShown')) {
            showToast();
        }
    };

    // Event listener to detect when toast is closed
    document.addEventListener('DOMContentLoaded', function () {
        const toast = document.getElementById('myToast');
        $(toast).on('hidden.bs.toast', function () {
            hideToast();
        });
    });
</script>


        <script>
            document.addEventListener("DOMContentLoaded", function() {
                // Check if the modal has been closed previously
                if (!localStorage.getItem("modalClosed")) {
                    // Show the modal if not closed
                    document.getElementById("announcementModal").style.display = "block";
                }
            });

            function closeModal() {
                // Hide the modal
                document.getElementById("announcementModal").style.display = "none";
                // Set a flag in localStorage to indicate that the modal has been closed
                localStorage.setItem("modalClosed", "true");
            }
        </script>
        <script>
            document.addEventListener('DOMContentLoaded', function() {
                const toggle = document.getElementById('theme-toggle');
                const icon = document.getElementById('theme-icon');

                // Check and set the initial mode based on localStorage
                if (localStorage.getItem('theme') === 'dark') {
                    document.body.classList.add('dark-mode');
                    icon.classList.remove('fa-sun');
                    icon.classList.add('fa-moon');
                } else {
                    document.body.classList.add('light-mode');
                    icon.classList.remove('fa-moon');
                    icon.classList.add('fa-sun');
                }

                toggle.addEventListener('click', function() {
                    if (document.body.classList.contains('dark-mode')) {
                        document.body.classList.remove('dark-mode');
                        document.body.classList.add('light-mode');
                        icon.classList.remove('fa-moon');
                        icon.classList.add('fa-sun');
                        localStorage.setItem('theme', 'light');
                    } else {
                        document.body.classList.remove('light-mode');
                        document.body.classList.add('dark-mode');
                        icon.classList.remove('fa-sun');
                        icon.classList.add('fa-moon');
                        localStorage.setItem('theme', 'dark');
                    }
                });
            });
        </script>
        <!-- jQuery & DataTables -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>

        <!-- Buttons for CSV, Excel, Print -->
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.bootstrap5.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>

        <script>
            $(document).ready(function() {
                $('#teachersTable').DataTable({
                    paging: true,
                    searching: true,
                    ordering: true,
                    responsive: true,
                    dom: 'Bfrtip', // Buttons for export
                    buttons: [{
                            extend: 'csv',
                            text: '<i class="fa fa-file-csv"></i> Export CSV',
                            className: 'btn btn-primary btn-sm'
                        },
                        {
                            extend: 'excel',
                            text: '<i class="fa fa-file-excel"></i> Export Excel',
                            className: 'btn btn-success btn-sm'
                        },
                        {
                            extend: 'print',
                            text: '<i class="fa fa-print"></i> Print',
                            className: 'btn btn-dark btn-sm'
                        }
                    ]
                });
            });
        </script>

        <!-- Scripts -->
        <script>
        $(document).ready(function() {
            $('#notificationDropdown').on('click', function() {
                $.ajax({
                    url: 'fetch_notifications.php',
                    type: 'GET',
                    data: {
                        province: '<?php echo $_SESSION['pro']; ?>'
                    },
                    dataType: 'json',
                    success: function(data) {
                        console.log('Fetched notifications:', data);
                        let notificationList = $('#notificationList');
                        notificationList.empty();

                        if (data.length === 0) {
                            notificationList.append(
                                '<div class="dropdown-item">No Notifications</div>');
                        } else {
                            data.forEach(notification => {
                                let createdDate = new Date(notification.created_at);
                                let formattedDate = formatDate(createdDate);
                                let timeAgo = timeSince(createdDate);
                                let unreadBadge = notification.is_read === 0 ?
                                    '<span class="badge badge-danger">Unread</span>' :
                                    '';

                                notificationList.append(`
                            <a class="dropdown-item" href="read_notification.php?id=${notification.id}">
                                ${unreadBadge} ${notification.message}
                                <small class="text-muted">${formattedDate} (${timeAgo})</small>
                            </a>
                        `);
                            });
                        }

                        $('.badge-danger').text(data.length);
                    },
                    error: function(xhr, status, error) {
                        console.error('Error loading notifications:', error);
                    }
                });
            });
        });

        function formatDate(date) {
            const options = {
                day: 'numeric',
                month: 'short',
                year: 'numeric'
            };
            let day = date.getDate();
            let month = date.toLocaleString('default', {
                month: 'short'
            });
            let suffix = day % 10 === 1 && day !== 11 ? 'st' :
                day % 10 === 2 && day !== 12 ? 'nd' :
                day % 10 === 3 && day !== 13 ? 'rd' : 'th';
            return `${day}${suffix} ${month}, ${date.getFullYear()}`;
        }

        function timeSince(date) {
            const seconds = Math.floor((new Date() - date) / 1000);
            let interval = Math.floor(seconds / 31536000);
            if (interval > 1) return interval + " years ago";
            interval = Math.floor(seconds / 2592000);
            if (interval > 1) return interval + " months ago";
            interval = Math.floor(seconds / 86400);
            if (interval > 1) return interval + " days ago";
            interval = Math.floor(seconds / 3600);
            if (interval > 1) return interval + " hours ago";
            interval = Math.floor(seconds / 60);
            if (interval > 1) return interval + " minutes ago";
            return seconds + " seconds ago";
        }
    </script>
    <!-- Scripts -->
    <script src="../plugins/jquery/jquery.min.js"></script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js"></script>
    <script src="../plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
    <script src="../dist/js/adminlte.min.js"></script>
    <script defer src="scripts/cookies/cookieconsent.js"></script>
    <script defer src="scripts/cookies/cookieconsent-init.js"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="../plugins/jquery-validation/additional-methods.min.js"></script>
    <!-- Include jQuery and Bootstrap JS -->

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>


</body>

</html>