<?php
session_start();

include 'conn.php';

if (!isset($_SESSION['pro'])) {
    header('Location: login.php');
    exit();
}


?>






<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | New Registration</title>
    
    <!-- Dependencies -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="../plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css">
    <link rel="stylesheet" href="../cookies/cookieconsent.css">
    <link rel="stylesheet" href="../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="../dist/css/custom.css">
    <link rel="stylesheet" href="../dist/css/login_style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <link rel="stylesheet" href="../dist/css/animate.min.css">
    <link href="../plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="../dist/img/icon2.png" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

  
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
    
  <!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                <i class="fas fa-bars"></i>
            </a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="navbar-brand">
                <img src="../dist/img/dtce.png" alt="Logo" style="height: 40px;">
                <!-- EVENT PORTAL -->
            </a>
        </li>
    </ul>
    
    <!-- Centered Navbar Elements -->
    <form class="form-inline mx-auto">
        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
            <i class="fas fa-search"></i>
        </button>
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link" href="#">
                <img src="../dist/img/ng3.webp" alt="Flag" style="width: 35px;">
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <i class="fas fa-bell">
                    <span class="badge badge-danger">10</span> <!-- Number of notifications -->
                </i>
            </a>
        </li>
        <li class="nav-item">
    <a class="nav-link" href="#" id="theme-toggle">
        <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
    </a>
</li>

<li class="nav-item dropdown show-on-hover">
    <a class="nav-link d-flex align-items-center" data-toggle="dropdown" href="#" style="flex-wrap: wrap;">
        <img src="../dist/img/icon2.png" alt="User Image" style="width: 30px; height: 30px; margin-right: 10px;">
        
        <div style="display: flex; flex-direction: column;">
            <span class="d-none d-md-inline"><?php echo $_SESSION["pro"] ?></span>
            <small style="font-weight: normal; margin-left: 5px;">REGION <?php echo $_SESSION["reg"] ?></small>
        </div>
    </a>
    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
        <a href="#" class="dropdown-item">My Profile</a>
        <a href="#" class="dropdown-item">Settings</a>
        <div class="dropdown-divider"></div>
        <a href="logout.php" class="dropdown-item">Logout</a>
    </div>
</li>

    </ul>
</nav>

    <!-- /.navbar -->
    
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img src="../dist/img/icon.png"  alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="d-block">RCCG DTCE</a>
                </div>
            </div>
            
            <!-- Sidebar Menu -->
            <?php
// Include your database connection file
include 'conn.php';

// Fetch menu items
$stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active'");
$menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!-- Sidebar Menu -->
<nav class="mt-2">
    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        <?php foreach ($menuItems as $item): ?>
            <li class="nav-item">
                <a href="<?php echo htmlspecialchars($item['link']); ?>" class="nav-link">
                    <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                    <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                </a>
            </li>
        <?php endforeach; ?>
    </ul>
</nav>

            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>
    
    <!-- Content Wrapper -->
    <div class="content-wrapper">
        <!-- Breadcrumb -->
        <div class="breadcrumb-wrapper">
            <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="../../index.php">HOME</a></li>
                <li class="breadcrumb-item active">New Page</li>
            </ul>
        </div>
        
        <?php include("news.php");?>
        <!-- Main content -->
         
        <section class="content">

        <!-- <?php
include 'conn.php';

// Fetch the cover picture
$stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
$coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

$imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
?>

<div class="row">
    <div class="col-sm-12">
        <div class="profile-bg-picture" style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
            <div class="picture-bg-overlay"></div>
        </div>
    </div>
</div> -->
<?php

$province = isset($_SESSION['pro']) ? htmlspecialchars($_SESSION['pro']) : '';
$region = isset($_SESSION['reg']) ? htmlspecialchars($_SESSION['reg']) : '';

?>
<!-- Place all content here -->
<div class="container mt-5">
    <div class="card">
        <div class="card-header">
            Create Your Virtual Account
        </div>
        <div class="card-body">
        <form action="create_virtual_account.php" method="POST">
                <div class="form-group">
                    <label for="name">Full Name</label>
                    <input type="text" class="form-control" id="name" name="name" required>
                </div>
                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" required>
                </div>
                <div class="form-group">
                    <label for="phone_number">Phone Number</label>
                    <input type="text" class="form-control" id="phone_number" name="phone_number" required>
                </div>
                <div class="form-group">
                    <label for="bvn">BVN</label>
                    <input type="text" class="form-control" id="bvn" name="bvn" required>
                </div>
                <div class="form-group">
                    <label for="nin">NIN</label>
                    <input type="text" class="form-control" id="nin" name="nin">
                </div>
                <div class="form-group">
                    <label for="province">Province</label>
                    <input type="text" class="form-control" id="province" name="province" value="<?php echo isset($_SESSION['pro']) ? $_SESSION['pro'] : ''; ?>" readonly>
                </div>
                <div class="form-group">
                    <label for="region">Region</label>
                    <input type="text" class="form-control" id="region" name="region" value="<?php echo isset($_SESSION['reg']) ? $_SESSION['reg'] : ''; ?>" readonly>
                </div>
                <button type="submit" class="btn btn-primary">Create Virtual Account</button>
            </form>
        </div>
    </div>
</div>


<div class="container mt-5">
        <div class="card">
            <div class="card-header">
                Check Your Virtual Account Balance
            </div>
            <div class="card-body">
                <form action="check_balance.php" method="POST">
                    <div class="form-group">
                        <label for="account_number">Virtual Account Number</label>
                        <input type="text" class="form-control" id="account_number" name="account_number" required>
                    </div>
                    <button type="submit" class="btn btn-primary">Check Balance</button>
                </form>
                <div id="balance_result" class="mt-3"></div>
            </div>
        </div>
    </div>

        </div>

<?php
include 'conn.php'; // Make sure this file contains your database connection

// Fetch the modal content from the database
$stmt = $conn->query("SELECT message FROM modal_content ORDER BY id DESC LIMIT 1");
$modalContent = $stmt->fetch(PDO::FETCH_ASSOC);
$message = $modalContent['message'];
?>

<!-- Modal HTML -->
<div id="announcementModal" class="modal">
    <div class="modal-content">
        <span class="close-btn" onclick="closeModal()">&times;</span>
        <h2>🎉 Welcome to the New Convention Portal! 🎉</h2>
        <p>
            <?php echo $message; ?>
        </p>
    </div>
</div>
<!-- Toast Container -->
<div class="toast-container" style="position: absolute; top: 20px; right: 20px;">
    <!-- Toast HTML -->
    <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="3000">
        <div class="toast-header">
            <strong class="mr-auto">Welcome Message</strong>
            <small class="text-muted">just now</small>
            <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="toast-body" id="toastBody">
            <p>Welcome back, <?php echo htmlspecialchars($_SESSION['pro'], ENT_QUOTES, 'UTF-8'); ?>! We are glad to have you here.</p>
        </div>
    </div>
</div>


    <!-- /.content-wrapper -->
    
    <!-- Footer -->
    <?php
include 'conn.php'; // Ensure this file contains your database connection

// Fetch footer content from the footer table
$stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
$footer = $stmt->fetch(PDO::FETCH_ASSOC);
$copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
$eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
?>
<footer class="main-footer text-sm">
    <div class="text-xs" id="copyright">
        <?php echo $copyrightMessage; ?>
        <div class="float-right d-none d-sm-inline-block">
            <b><?php echo $eventInfo; ?></b>
        </div>
    </div>
</footer>

<!-- ./wrapper -->
    
<script>
    // Function to show the toast
    function showToast() {
        const toast = document.getElementById('myToast');
        $(toast).toast('show'); // Manually trigger the toast
    }

    // Function to hide the toast and store it in localStorage
    function hideToast() {
        localStorage.setItem('toastShown', 'true'); // Store in localStorage
    }

    // Auto-trigger the toast on page load if it has not been shown before
    window.onload = function() {
        if (!localStorage.getItem('toastShown')) {
            showToast();
        }
    };

    // Event listener to detect when toast is closed
    document.addEventListener('DOMContentLoaded', function () {
        const toast = document.getElementById('myToast');
        $(toast).on('hidden.bs.toast', function () {
            hideToast();
        });
    });
</script>
<script>
    document.addEventListener("DOMContentLoaded", function() {
    // Check if the modal has been closed previously
    if (!localStorage.getItem("modalClosed")) {
        // Show the modal if not closed
        document.getElementById("announcementModal").style.display = "block";
    }
});

function closeModal() {
    // Hide the modal
    document.getElementById("announcementModal").style.display = "none";
    // Set a flag in localStorage to indicate that the modal has been closed
    localStorage.setItem("modalClosed", "true");
}

</script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const toggle = document.getElementById('theme-toggle');
        const icon = document.getElementById('theme-icon');

        // Check and set the initial mode based on localStorage
        if (localStorage.getItem('theme') === 'dark') {
            document.body.classList.add('dark-mode');
            icon.classList.remove('fa-sun');
            icon.classList.add('fa-moon');
        } else {
            document.body.classList.add('light-mode');
            icon.classList.remove('fa-moon');
            icon.classList.add('fa-sun');
        }

        toggle.addEventListener('click', function() {
            if (document.body.classList.contains('dark-mode')) {
                document.body.classList.remove('dark-mode');
                document.body.classList.add('light-mode');
                icon.classList.remove('fa-moon');
                icon.classList.add('fa-sun');
                localStorage.setItem('theme', 'light');
            } else {
                document.body.classList.remove('light-mode');
                document.body.classList.add('dark-mode');
                icon.classList.remove('fa-sun');
                icon.classList.add('fa-moon');
                localStorage.setItem('theme', 'dark');
            }
        });
    });
</script>
<!-- Scripts -->
<script src="../plugins/jquery/jquery.min.js"></script>
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
<script src="../plugins/sweetalert2/sweetalert2.min.js"></script>
<script src="../plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
<script src="../dist/js/adminlte.min.js"></script>
<script defer src="scripts/cookies/cookieconsent.js"></script>
<script defer src="scripts/cookies/cookieconsent-init.js"></script>
<script src="../plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="../plugins/jquery-validation/additional-methods.min.js"></script>


</body>
</html>
